import { OnInit, ElementRef, OnChanges, EventEmitter, OnDestroy } from '@angular/core';
import { ProxyService } from './proxy.service';
import * as i0 from "@angular/core";
export declare class StimulsoftDesignerComponent implements OnInit, OnChanges, OnDestroy {
    private proxy;
    designerEl: ElementRef;
    /**
     * Occurs when designer loaded
     */
    designerLoaded: EventEmitter<any>;
    /**
     * Url to server instance (designer controller)
     * Example: http://server.url:51528/api/designer
     */
    requestUrl: string;
    /**
     * The width of Designer
     */
    width: string;
    /**
     * The height of Designer
     */
    height: string;
    postParametersFunction: any;
    id: string;
    designer: any;
    chartScripts: any;
    private loaded;
    constructor(proxy: ProxyService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    ngOnChanges(changes: import('@angular/core').SimpleChanges): void;
    addScript(): void;
    showDesigner(): void;
    get head(): HTMLHeadElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<StimulsoftDesignerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StimulsoftDesignerComponent, "stimulsoft-designer-angular", never, { "requestUrl": "requestUrl"; "width": "width"; "height": "height"; "postParametersFunction": "postParametersFunction"; }, { "designerLoaded": "designerLoaded"; }, never, ["*"], false>;
}
